Subject: Re: [RFC PATCH 2/9] powerpc/mm/book3s-64: Free up 7 high-order bits in the Linux PTE

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Sat, 20 Feb 2016 21:46:19 +0530

Paul Mackerras <[email-masked]> writes:

> This frees up bits 57-63 in the Linux PTE on 64-bit Book 3S machines.
> In the 4k page case, this is done just by reducing the size of the
> RPN field to 39 bits, giving 51-bit real addresses.  In the 64k page
> case, we had 10 unused bits in the middle of the PTE, so this moves
> the RPN field down 10 bits to make use of those unused bits.  This
> means the RPN field is now 3 bits larger at 37 bits, giving 53-bit
> real addresses in the normal case, or 49-bit real addresses for the
> special 4k PFN case.

Is it ok to have different real address bits between 4k and 64k linux
config ?

-aneesh